Bug 9777 - vfs_dirsort uses non-stackable calls, dirfd(), malloc instead of talloc and doesn't cope with directories being modified whilst reading.
vfs_dirsort uses non-stackable calls, dirfd(), malloc instead of talloc and d...
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 9778
  Show dependency treegraph
 
Reported: 2013-04-09 22:41 UTC by Jeremy Allison
Modified: 2013-06-19 08:55 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for master and 4.0.next. (17.45 KB, patch)
2013-04-10 00:00 UTC, Jeremy Allison
no flags Details
git-am patchset for 4.0.next (18.02 KB, patch)
2013-04-11 19:25 UTC, Jeremy Allison
asn: review+
Details
v3-6-test patch (18.25 KB, patch)
2013-06-12 08:28 UTC, Andreas Schneider
no flags Details
v3-6-test patch (18.25 KB, patch)
2013-06-12 08:34 UTC, Andreas Schneider
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2013-04-09 22:41:14 UTC
There are a set of issues with vfs_dirsort that I want to clean up. From using malloc instead of talloc, to using non-stackable calls, dirfd() on what should be an opaque pointer and various cleanup in error conditions.

Patch for 4.0.x and master to follow.

Jeremy.
Comment 1 Jeremy Allison 2013-04-10 00:00:26 UTC
Created attachment 8743 [details]
git-am fix for master and 4.0.next.
Comment 2 Jeremy Allison 2013-04-11 19:25:53 UTC
Created attachment 8761 [details]
git-am patchset for 4.0.next

This is the fix that got added to master (contains master git refs).
Comment 3 Jeremy Allison 2013-04-11 19:26:54 UTC
Re-assigning to Karolin for inclusion in 4.0.next. Andreas (asn@samba.org) already reviewed this patch for master (although I'm adding him so he can +1 again on the bug if he wants).

Jeremy.
Comment 4 Jeremy Allison 2013-04-11 19:27:20 UTC
Comment on attachment 8761 [details]
git-am patchset for 4.0.next

Andreas, this is exactly the patch you reviewed for master.
Comment 5 Andreas Schneider 2013-04-12 12:12:18 UTC
Comment on attachment 8761 [details]
git-am patchset for 4.0.next

LGTM
Comment 6 Andreas Schneider 2013-04-12 12:12:44 UTC
Karolin, please add to v4-0-test. Thanks.
Comment 7 Karolin Seeger 2013-04-17 06:57:27 UTC
Pushed to autobuild-v4-0-test.
Comment 8 Karolin Seeger 2013-04-17 09:10:47 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!
Comment 9 Andreas Schneider 2013-06-12 08:28:12 UTC
Created attachment 8962 [details]
v3-6-test patch

Jermey, don't we want to have this fixed in 3.6 too?
Comment 10 Andreas Schneider 2013-06-12 08:34:29 UTC
Created attachment 8963 [details]
v3-6-test patch
Comment 11 Jeremy Allison 2013-06-14 20:23:42 UTC
Comment on attachment 8963 [details]
v3-6-test patch

LGTM.
Comment 12 Jeremy Allison 2013-06-14 20:24:08 UTC
Re-assigning to Karolin for inclusion in 3.6.next.
Jeremy.
Comment 13 Karolin Seeger 2013-06-18 10:06:36 UTC
(In reply to comment #12)
> Re-assigning to Karolin for inclusion in 3.6.next.
> Jeremy.

Too late for 3.6.16, will be inlcuded in 3.6.17.
Comment 14 Karolin Seeger 2013-06-19 08:55:11 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!